Subject: bug#48707: outline not distinguishing between levels well enough

From: [email-masked]
Date: Fri, 28 May 2021 01:33:50 +0200

Thank you for the patch.  I have updated outline.el and rebuilt emacs and I can see
changes.  I am unsure though how to change the heading level colours for different
subheading levels, because the headings all look like comments.

Regards

> Sent: Friday, May 28, 2021 at 10:44 AM
> From: "Juri Linkov" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], "Philip Kaludercic" <[email-masked]>
> Subject: Re: bug#48707: outline not distinguishing between levels well enough
>
> > outline is supposed to highlight the eight different heading levels in a way that
> > is easy to distinguish between them.  I do not see such a capability at this time.
> >
> > Settings up different colours is also quite complicated and confusing.  I have originally
> > discussed this on "[email-masked]", who encouraged me to send a bug report.
> >
> > I do not get different heading colours for the three heading levels below.
> > Philip has mentioned the possibility that the wrong face is being applied.
> >
> > --------- test.el --------
> >
> > ;;; * heading 1
> > ;; comments
> > ;;;; ** subheading 1.1
> > ;; comments
> > ;;;;; *** subsubheading 1.1.1
> > ;; comments
>
> Thank you very much for the bug report.  This is really a bug
> that should be fixed by the following patch:
>
>